# API を使用し海外送金の受取人を作成する Stripe API を使用して Global Payouts の受取人をユーザー登録する方法をご紹介します。 受取人から情報を収集するフローを構築し、受取人情報および支払い方法の詳細を取得した後、その情報を Stripe API を通じて Stripe に送信します。 ## 考慮事項 受取人とのすべてのやり取りと、受取人を確認するために必要なすべての情報の収集は、お客様のビジネスの責任です。Stripe は、世界中の法律や規制の変更に応じて受取人確認要件を更新します。 入金の統合を構築する際は、以下の点を考慮してください。 - 法務および規制要件の変更を定期的に確認します。 - これらの変更に対応してアプリケーションロジックを更新する。 入金失敗を回避するために、アカウント登録要件を定期的に確認し、更新する計画を立ててください。 ## 受取人を作成する フォームを使用して入金受取人情報を回収する場合には、[Accounts API v2](https://docs.stripe.com/api/v2/core/accounts/create.md?api-version=preview) を使って受取人を作成します。`Account` ID を作成するには、以下のパラメーターを指定する必要があります。 | 必要な情報 | パラメータ | | -------------------------------------------------------------------------- | -------------------------------------- | | 受取人の国 | `identity.country` | | 受取人の業種 | `identity.entity_type` | | 受取人のメールアドレス | `contact_email` | | `Account` に表示する名前。これは Stripe ダッシュボードと、貴社から `Account` に送付されるすべての請求書に表示されます。 | `display_name` | | 有効にする入金手段 | `configuration.recipient.capabilities` | > 米国の送金者向けの海外入金は、パブリックプレビューで提供されています。 [Account の作成](https://docs.stripe.com/api/v2/core/accounts/create.md?api-version=preview#v2_create_accounts-configuration-recipient-capabilities)時には、[対応する機能をリクエスト](https://docs.stripe.com/connect/account-capabilities.md?accounts-namespace=v2)することで希望する入金方法の種類を指定する必要があります。 | 入金方法 | API パラメーター | 説明 | | ------ | ---------------------------------------------------------- | ----------------------------------------------------------------------------------------------------- | | 地方銀行 | `configuration.recipient.capabilities.bank_accounts.local` | それにより、`Account` が ACH や FPS といった現地の銀行ネットワークを介して `OutboundPayments` を行えるようになります。 | | 銀行電信送金 | `configuration.recipient.capabilities.bank_accounts.wire` | それにより、`Account` が Fedwire や SWIFT といったワイヤーネットワークを介して `OutboundPayments` を行えるようになります。 | | カード | `configuration.recipient.capabilities.cards` | それにより、`Account` が Visa Direct や Mastercard Send といったデビットカードネットワークを介して `OutboundPayments` を行えるようになります。 | 受取人は複数の入金方法の種類を有効化できます。ただしすべての国の受取人があらゆる種類の入金方法を利用できるわけではありません。[利用できる入金方法の国別一覧](https://docs.stripe.com/global-payouts/recipient-creation-options.md#requirements-for-supported-recipient-countries)にご利用いただける入金方法の種類を記載しておりますのでご覧ください。 一部の機能を利用するには、受取人に関する追加情報が必要になります。たとえば、アメリカの受取人に対して `configuration.recipient.capabilities.bank_accounts.local` を使用する場合、口座番号とルーティング番号を提出する必要があります。入金方法の機能をリクエストすると、Stripe ではそれらの有効化に必要な追加情報を判断します。その内容は API レスポンスで確認できます。レスポンスにこれらの要件を含めるには、`include` 配列に `requirements`、`configuration.recipient`、および `identity` を指定してください。これらを含めなかった場合、実際の値の有無に関係なく、Stripe はこれらのプロパティに対して null を返します。 ```curl curl -X POST https://api.stripe.com/v2/core/accounts \ -H "Authorization: Bearer <>" \ -H "Stripe-Version: 2026-03-25.preview" \ --json '{ "contact_email": "jenny.rosen@example.com", "display_name": "Jenny Rosen", "identity": { "country": "us", "entity_type": "individual" }, "configuration": { "recipient": { "capabilities": { "bank_accounts": { "local": { "requested": true } } } } }, "include": [ "identity", "configuration.recipient", "requirements" ] }' ``` ## 受取人をアクティブ化するために必要なフィールドを決定する 提出が必要な具体的な要件を特定するには、Accounts API レスポンスの [requirements.entries](https://docs.stripe.com/api/v2/core/accounts/create.md?api-version=preview#v2_create_accounts-response-requirements-entries) 配列を確認してください。受取人が入金を受けられるようにするには、`restricts_capabilities` プロパティが含まれているすべての要件を満たし、情報提供する必要があります。 ```json { "id": "{{CONNECTED_ACCOUNT_ID}}", "object": "v2.core.account", "applied_configurations": [ "recipient" ], "configuration": { "customer": null, "merchant": null, "recipient": { "capabilities": { "bank_accounts": { "local": { "requested": true, "status": "restricted", "status_details": [ { "code": "requirements_past_due", "resolution": "provide_info" } ] }, "wire": null, "instant": null }, "cards": null, "stripe_balance": null }, "default_outbound_destination": null } }, "contact_email": "jenny.rosen@stripe.com", "created": "2025-04-02T17:20:00.000Z", "dashboard": null, "identity": { "attestations": { "directorship_declaration": null, "ownership_declaration": null, "persons_provided": { "directors": null, "executives": null, "owners": null, "ownership_exemption_reason": null }, "terms_of_service": { "account": null } }, "business_details": null, "country": "US", "entity_type": "individual", "individual": null }, "defaults": null, "display_name": "Jenny Rosen", "metadata": {}, "requirements": { "collector": "stripe", "entries": [ { "awaiting_action_from": "user", "description": "identity.individual.given_name", "errors": [], "impact": {"restricts_capabilities": [ { "capability": "bank_accounts.local", "configuration": "recipient", "deadline": { "status": "past_due" } } ], "restricts_payouts": null }, "minimum_deadline": { "status": "past_due" }, "reference": null, "requested_reasons": [ { "code": "routine_onboarding" } ] }, { "awaiting_action_from": "user", "description": "identity.individual.surname", "errors": [], "impact": { "restricts_capabilities": [ { "capability": "bank_accounts.local", "configuration": "recipient", "deadline": { "status": "past_due" } } ], "restricts_payouts": null }, "minimum_deadline": { "status": "past_due" }, "reference": null, "requested_reasons": [ { "code": "routine_onboarding" } ] } ], "summary": { "minimum_deadline": { "status": "past_due", "time": null } } } } ``` ## 受取人情報を Stripe に送信する 必要な情報を回収したら、[Accounts API](https://docs.stripe.com/api/v2/core/accounts/update.md?api-version=preview) を使用して提出します。 ```curl curl -X POST https://api.stripe.com/v2/core/accounts/{{CONNECTEDACCOUNT_ID}} \ -H "Authorization: Bearer <>" \ -H "Stripe-Version: 2026-03-25.preview" \ --json '{ "contact_email": "jenny.rosen@example.com", "display_name": "Jenny Rosen", "identity": { "country": "us", "entity_type": "individual", "individual": { "given_name": "Jenny", "surname": "Rosen", "address": { "city": "Brothers", "country": "US", "line1": "27 Fredrick Ave", "postal_code": "97712", "state": "OR" } } }, "include": [ "identity" ] }' ``` ## 受取人が有効になっていることを確認する [ Account を取得](https://docs.stripe.com/api/v2/core/accounts/retrieve.md?api-version=preview)して、リクエストした機能の `status` を確認して下さい。受取人がその方法で入金を受け取るには、入金方法の機能の `status` が `active` である必要があります。 ```curl curl -G https://api.stripe.com/v2/core/accounts/{{CONNECTEDACCOUNT_ID}} \ -H "Authorization: Bearer <>" \ -H "Stripe-Version: 2026-03-25.preview" \ -d "include[0]=configuration.recipient" ``` ## 受取人の入金手段を作成する 入金方法のケイパビリティが有効になったら、[Outbound Setup Intents API](https://docs.stripe.com/api/v2/money-management/outbound-setup-intents/create.md?api-version=preview) を使用して受取人の実際の `PayoutMethod` を作成します。 このリクエストの Stripe-Context ヘッダーは受取人のアカウント ID である必要があります。 ```curl curl -X POST https://api.stripe.com/v2/money_management/outbound_setup_intents \ -H "Authorization: Bearer <>" \ -H "Stripe-Version: 2026-03-25.preview" \ -H "Stripe-Context: {{CONTEXT_ID}}" \ --json '{ "payout_method_data": { "type": "bank_account", "bank_account": { "country": "FR", "account_number": "FR76300060000112345678901234" } } }' ``` > `OutboundSetupIntent` のレスポンスにはその [PayoutMethod](https://docs.stripe.com/api/v2/money-management/outbound-setup-intents/create.md?api-version=preview#v2_create_outbound_setup_intents-response-payout_method) が含まれています。`OutboundPayment` を作成する際には、`OutboundSetupIntent` ID (たとえば `osi_test_...`) ではなく、必ず `PayoutMethod` の ID (たとえば `frba_test_...`)を使用します。 電信送金で入金するには、[US Bank Accounts API](https://docs.stripe.com/api/v2/core/vault/us-bank-accounts/update.md?api-version=preview) を使用して `fedwire_routing_number` をその `PayoutMethod` に追加します。ただし追加の手数料が課されます。詳しくは[料金体系](https://docs.stripe.com/global-payouts/pricing.md)をご覧ください。 デビットカードを入金方法として利用することもできます。ただしその場合には、受取人がデビットカードの情報を Stripe に直接提供する必要があります。デビットカードによる入金を有効にするには、[Account Links API](https://docs.stripe.com/api/v2/core/account-links.md) を使用してユーザーがカード情報を登録するための共有用フォームを作成してください。 ## 受取人のすべての入金手段を表示します。 Payout Methods API を使用して、[受取人の PayoutMethods を取得](https://docs.stripe.com/api/v2/money-management/payout-methods/list.md?api-version=preview)してください。 このリクエストの Stripe-Context ヘッダーは、受取人の `Account` ID にしてください。 ```curl curl https://api.stripe.com/v2/money_management/payout_methods \ -H "Authorization: Bearer <>" \ -H "Stripe-Version: 2026-03-25.preview" \ -H "Stripe-Context: {{CONTEXT_ID}}" ``` このレスポンスには、受取人に関連する `PayoutMethod` オブジェクトの一覧が含まれます。`PayoutMethod` ID を使用して、[Outbound Payments API](https://docs.stripe.com/api/v2/money-management/outbound-payments/create.md?api-version=preview) を使用した入金を作成してください。詳しくは[送金](https://docs.stripe.com/global-payouts/send-money.md)をご覧ください。